StandaloneGrailsApplication (Grails 3.2.6)
Date: 2017-02-09

Package: grails.core

## [Java] Class StandaloneGrailsApplication

- grails.core.StandaloneGrailsApplication

- GrailsApplication implementation to be used in standalone applications

  Since:
    2.4.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsApplication` | `applicationMeta, classLoader, config, contextInitialized, flatConfig, parentContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StandaloneGrailsApplication ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsClass` | `addArtefact(java.lang.String artefactType, java.lang.Class artefactClass)`
    `GrailsClass` | `addArtefact(java.lang.String artefactType, GrailsClass artefactGrailsClass)`
    `void` | `addArtefact(java.lang.Class artefact)`
    `void` | `addOverridableArtefact(java.lang.Class artefact)`
    `java.lang.Class[]` | `getAllArtefacts()`
    `java.lang.Class[]` | `getAllClasses()`
    `GrailsClass` | `getArtefact(java.lang.String artefactType, java.lang.String name)`
    `GrailsClass` | `getArtefactByLogicalPropertyName(java.lang.String type, java.lang.String logicalName)`
    `GrailsClass` | `getArtefactForFeature(java.lang.String artefactType, java.lang.Object featureID)`
    `ArtefactHandler` | `getArtefactHandler(java.lang.String type)`
    `ArtefactHandler[]` | `getArtefactHandlers()`
    `ArtefactInfo` | `getArtefactInfo(java.lang.String artefactType)`
    `ArtefactHandler` | `getArtefactType(java.lang.Class theClass)`
    `GrailsClass[]` | `getArtefacts(java.lang.String artefactType)`
    `org.springframework.core.io.Resource` | `getResourceForClass(java.lang.Class theClazz)`
    `boolean` | `hasArtefactHandler(java.lang.String type)`
    `void` | `initialise()`
    `boolean` | `isArtefact(java.lang.Class theClazz)`
    `boolean` | `isArtefactOfType(java.lang.String artefactType, java.lang.Class theClazz)`
    `boolean` | `isArtefactOfType(java.lang.String artefactType, java.lang.String className)`
    `boolean` | `isInitialised()`
    `void` | `rebuild()`
    `void` | `refresh()`
    `void` | `refreshConstraints()`
    `void` | `registerArtefactHandler(ArtefactHandler handler)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsApplication` | `configChanged, getClassForName, getClassLoader, getConfig, getFlatConfig, getMainContext, getMetadata, getParentContext, isWarDeployed, onApplicationEvent, setApplicationContext, setBeanClassLoader, setConfig, setConfig, setMainContext, updateFlatConfig`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public StandaloneGrailsApplication()

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public GrailsClass addArtefact(java.lang.String artefactType, java.lang.Class artefactClass)

    - #### @java.lang.Override public GrailsClass addArtefact(java.lang.String artefactType, GrailsClass artefactGrailsClass)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public void addArtefact(java.lang.Class artefact)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public void addOverridableArtefact(java.lang.Class artefact)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.Class[] getAllArtefacts()

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.Class[] getAllClasses()

    - #### @java.lang.Override public GrailsClass getArtefact(java.lang.String artefactType, java.lang.String name)

    - #### @java.lang.Override public GrailsClass getArtefactByLogicalPropertyName(java.lang.String type, java.lang.String logicalName)

    - #### @java.lang.Override public GrailsClass getArtefactForFeature(java.lang.String artefactType, java.lang.Object featureID)

    - #### @java.lang.Override public ArtefactHandler getArtefactHandler(java.lang.String type)

    - #### @java.lang.Override public ArtefactHandler[] getArtefactHandlers()

    - #### @java.lang.Override public ArtefactInfo getArtefactInfo(java.lang.String artefactType)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public ArtefactHandler getArtefactType(java.lang.Class theClass)

    - #### @java.lang.Override public GrailsClass[] getArtefacts(java.lang.String artefactType)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public org.springframework.core.io.Resource getResourceForClass(java.lang.Class theClazz)

    - #### @java.lang.Override public boolean hasArtefactHandler(java.lang.String type)

    - #### @java.lang.Override public void initialise()

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public boolean isArtefact(java.lang.Class theClazz)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public boolean isArtefactOfType(java.lang.String artefactType, java.lang.Class theClazz)

    - #### @java.lang.Override public boolean isArtefactOfType(java.lang.String artefactType, java.lang.String className)

    - #### @java.lang.Override public boolean isInitialised()

    - #### @java.lang.Override public void rebuild()

    - #### @java.lang.Override public void refresh()

    - #### @java.lang.Override public void refreshConstraints()

    - #### @java.lang.Override public void registerArtefactHandler(ArtefactHandler handler)

    - #### @java.lang.Override public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)